Autor Thema: Probleme mit Systemaktualisierung in Manjaro Mate VBOX-Gast  (Gelesen 2235 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Offline Dinogebiss

  • Neuling
  • *
  • Beiträge: 25
  • Skill: Durchschnitt
Hallöchen,
bin neu hier und habe Manjaro Mate in VBOX installiert.
Es ist die 0.8.11-rc1-x86_64.

In der Konsole habe ich zunächst folgendes gemacht:
sudo pacman-mirrors -g

Und danach:
sudo pacman -Syyu --noconfirm && yaourt -Syua --devel --noconfirm

Es erscheint folgende Meldung:
:: Synchronisiere Paketdatenbanken...
Fehler: Konnte core nicht aktualisieren (Kann Datenbank nicht sperren)
Fehler: Konnte extra nicht aktualisieren (Kann Datenbank nicht sperren)
Fehler: Konnte community nicht aktualisieren (Kann Datenbank nicht sperren)
Fehler: Konnte multilib nicht aktualisieren (Kann Datenbank nicht sperren)
Fehler: Konnte keinerlei Datenbanken synchronisieren
Fehler: Konnte den Vorgang nicht starten (Kann Datenbank nicht sperren)
Fehler: Konnte Datenbank nicht sperren: Die Datei existiert bereits
  Wenn Sie sicher sind, dass nicht bereits ein
  Paketmanager läuft, können Sie /var/lib/pacman/db.lck entfernen

Was tun?


Offline Dinogebiss

  • Neuling
  • *
  • Beiträge: 25
  • Skill: Durchschnitt
Re: Probleme mit Systemaktualisierung in Manjaro Mate VBOX-Gast
« Antwort #1 am: 17. Februar 2015, 15:16:10 »
Ich habe diese Datei gelöscht:
/var/lib/pacman/db.lck

Danach:
sudo pacman -Syyu --noconfirm && yaourt -Syua --devel --noconfirm

Dann fing das System an mit der Aktualisierung bis zu dieser Fehlermeldung:
lib32-libpulse-5.0-...   242,6 KiB   707K/s 00:00 [######################] 100%
(351/351) Prüfe Schlüssel im Schlüsselring         [######################] 100%
(351/351) Überprüfe Paket-Integrität               [######################] 100%
Fehler: lib32-libpulse: signature from "Rob McCathie <korrode@gmail.com>" is unknown trust
:: Datei /var/cache/pacman/pkg/lib32-libpulse-5.0-1.1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n]
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

Offline Dinogebiss

  • Neuling
  • *
  • Beiträge: 25
  • Skill: Durchschnitt
Re: Probleme mit Systemaktualisierung in Manjaro Mate VBOX-Gast
« Antwort #2 am: 17. Februar 2015, 15:31:22 »
Ich hatte zwischenzeitlich hier gelesen, fleißig die Konsole bemüht und danach lief das Update.
http://forums.netrunner-os.com/showthread.php?tid=17258&page=2

Nun möchte ich gerne die Gasterweiterung installieren, wie geht das in Manjaro?

Offline Verändert

  • Support Team
  • *****
  • Beiträge: 1149
  • Dankeschön: 62 mal
  • Ni Dieu ni maître
  • Desktop: Gnome. LXQt. i3.
  • Grafikkarte: Intel & Radeon & NVidia
  • Grafikkartentreiber: frei natürlich
  • Kernel: Immer der aktuelle.
  • Prozessor: Intel Celeron und andere.
  • Skill: Anfänger
  • Zweig: unstable
Re: Probleme mit Systemaktualisierung in Manjaro Mate VBOX-Gast
« Antwort #3 am: 17. Februar 2015, 15:44:44 »
Bitte bei neuen Fragen einen neuen Thread aufmachen. Das erleichtert das Auffinden ungemein, wenn noch jemand das gleiche Problem haben sollte. Danke.

Wenn das ursprüngliche Problem beseitigt ist, bitte dann das Thema als gelöst markieren. Noch mal danke.
« Letzte Änderung: 17. Februar 2015, 15:46:18 von Verändert »